=== modified file 'lib/canonical/launchpad/components/externalbugtracker/trac.py'
--- lib/canonical/launchpad/components/externalbugtracker/trac.py	2008-04-16 13:16:57 +0000
+++ lib/canonical/launchpad/components/externalbugtracker/trac.py	2008-04-16 13:31:46 +0000
@@ -260,6 +260,7 @@
         trac_time = datetime.fromtimestamp(utc_time)
         return trac_time.replace(tzinfo=pytz.timezone('UTC'))
 
+    @needs_authentication
     def getModifiedRemoteBugs(self, remote_bug_ids, last_checked):
         """See `IExternalBugTracker`."""
         endpoint = urlappend(self.baseurl, 'xmlrpc')

=== modified file 'lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt'
--- lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt	2008-04-16 13:16:57 +0000
+++ lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt	2008-04-16 13:31:46 +0000
@@ -179,24 +179,33 @@
 
     >>> bug_ids_to_check = ['1', '2', '3']
     >>> last_checked = datetime(2008, 1, 1, 0, 0, 0)
+    >>> test_transport.expireCookie(test_transport.auth_cookie)
     >>> sorted(trac.getModifiedRemoteBugs(
     ...     bug_ids_to_check, last_checked))
+    Using XML-RPC to generate token.
+    Successfully validated the token.
     ['1', '3']
 
 Different last_checked times will result in different numbers of bugs
 being returned.
 
     >>> last_checked = datetime(2008, 2, 1, 0, 0, 0)
+    >>> test_transport.expireCookie(test_transport.auth_cookie)
     >>> trac.getModifiedRemoteBugs(
     ...     bug_ids_to_check, last_checked)
+    Using XML-RPC to generate token.
+    Successfully validated the token.
     ['1']
 
 If no bugs have been updated since last_checked, getModifiedRemoteBugs()
 will return an empty list.
 
     >>> last_checked = datetime(2008, 5, 1, 0, 0, 0)
+    >>> test_transport.expireCookie(test_transport.auth_cookie)
     >>> trac.getModifiedRemoteBugs(
     ...     bug_ids_to_check, last_checked)
+    Using XML-RPC to generate token.
+    Successfully validated the token.
     []
 
 If we ask for bug ids that don't exist on the remote server, they will
@@ -205,7 +214,10 @@
 
     >>> bug_ids_to_check = ['1', '2', '3', '99', '100']
     >>> last_checked = datetime(2008, 1, 1, 0, 0, 0)
+    >>> test_transport.expireCookie(test_transport.auth_cookie)
     >>> sorted(trac.getModifiedRemoteBugs(
     ...     bug_ids_to_check, last_checked))
+    Using XML-RPC to generate token.
+    Successfully validated the token.
     ['1', '100', '3', '99']
 

